> For the complete documentation index, see [llms.txt](https://ac.docs.landis.cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://ac.docs.landis.cloud/appendix/external-search.md).

# External Search

External search can query your custom search API and the response from the API can return contact information that will be shown in the search panel. A simple execution of this can be created by using Microsoft Flow.

External Search will send a HTTP POST to the specified URL. A JSON object with specific properties is sent in the body. The response body JSON array object(s) are expected to have specific property names.

#### Example HTTP POST Body:

Only populated properties will be sent in the body.

```
{
  "searchTerm": "John Doe",
  "departments": [
    "Sales"
  ],
  "officeLocations": [
    "New York"
  ],
  "countries": [
    "USA"
  ],
  "jobTitles": [
    "Sales Manager"
  ],
  "postalCodes": [
    "10002"
  ],
  "givenName": [
    "John"
  ],
  "surname": [
    "Doe"
  ],
  "displayNames": [
    "John Doe"
  ],
  "mail": [
    "jdoe@contoso.com"
  ],
  "userPrincipalName": [
    "jdoe@contoso.com"
  ],
  "maxContactSearchResults": "20"
}
```

#### Example HTTP Response Body:

All properties are optional and the values can be null.&#x20;

Properties are case sensitive.&#x20;

Properties that are not expected will be ignored.

```
[
    {
        "azureAdId": null,
        "givenName": "John",
        "surname": "doe",
        "displayName": "John doe",
        "userPricipalName": "jdoe@contoso.com",
        "companyName": "Contoso",
        "jobTitle": "Sales Manager",
        "department": "Sales",
        "officeLocation": "New York",
        "emailAddress": "jdoe@contoso.com",
        "businessPhone": "810-653-3163",
        "mobilePhone": "810-653-3163",
        "preferredLanguage": null,
        "notes": null,
        "country": "USA"
    }
]
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://ac.docs.landis.cloud/appendix/external-search.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
